# Generated by Django 2.2.5 on 2019-11-30 17:08

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('webpay', '0011_auto_20190923_2148'),
    ]

    operations = [
        migrations.AlterField(
            model_name='historicalpayment',
            name='authorization_code',
            field=models.CharField(blank=True, max_length=6, null=True, verbose_name='Código de autorización de la transacción'),
        ),
        migrations.AlterField(
            model_name='historicalpayment',
            name='payment_type',
            field=models.PositiveSmallIntegerField(blank=True, choices=[(1, 'Venta Débito'), (2, 'Venta Normal'), (3, 'Venta en cuotas'), (4, '3 cuotas sin interés'), (5, '2 cuotas sin interés'), (6, 'N Cuotas sin interés'), (7, 'Venta Prepago')], null=True),
        ),
        migrations.AlterField(
            model_name='historicalpayment',
            name='response_code',
            field=models.PositiveSmallIntegerField(blank=True, choices=[(0, 'Transacción aprobada'), (1, 'Rechazo de transacción'), (2, 'Transacción debe reintentarse'), (3, 'Error en transacción'), (4, 'Rechazo de transacción'), (5, 'Rechazo por error de tasa'), (6, 'Excede cupo máximo mensual'), (7, 'Excede límite diario por transacción'), (8, 'Rubro no autorizado')], null=True, verbose_name='Código de respuesta de la autorización'),
        ),
        migrations.AlterField(
            model_name='historicalpayment',
            name='session_id',
            field=models.CharField(blank=True, db_index=True, max_length=61, null=True, verbose_name='Identificador único de sesión'),
        ),
        migrations.AlterField(
            model_name='historicalpayment',
            name='url_redirection',
            field=models.URLField(blank=True, max_length=256, null=True, verbose_name='URL de redirección para visualizar el voucher'),
        ),
        migrations.AlterField(
            model_name='historicalpayment',
            name='verification',
            field=models.PositiveSmallIntegerField(blank=True, choices=[(0, 'No se autenticó'), (1, 'Autenticación exitosa'), (2, 'Autenticación fallida'), (3, 'Tiempo máximo excedido para autenticación'), (4, 'Autenticación abortada por tarjetahabiente'), (5, 'Error interno en la autenticación'), (6, 'No participa'), (7, 'Autenticación fallida extranjera'), (8, 'Intento de autenticación'), (9, 'Autenticación inválida'), (10, 'Error Operativo')], null=True),
        ),
        migrations.AlterField(
            model_name='payment',
            name='authorization_code',
            field=models.CharField(blank=True, max_length=6, null=True, verbose_name='Código de autorización de la transacción'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='payment_type',
            field=models.PositiveSmallIntegerField(blank=True, choices=[(1, 'Venta Débito'), (2, 'Venta Normal'), (3, 'Venta en cuotas'), (4, '3 cuotas sin interés'), (5, '2 cuotas sin interés'), (6, 'N Cuotas sin interés'), (7, 'Venta Prepago')], null=True),
        ),
        migrations.AlterField(
            model_name='payment',
            name='response_code',
            field=models.PositiveSmallIntegerField(blank=True, choices=[(0, 'Transacción aprobada'), (1, 'Rechazo de transacción'), (2, 'Transacción debe reintentarse'), (3, 'Error en transacción'), (4, 'Rechazo de transacción'), (5, 'Rechazo por error de tasa'), (6, 'Excede cupo máximo mensual'), (7, 'Excede límite diario por transacción'), (8, 'Rubro no autorizado')], null=True, verbose_name='Código de respuesta de la autorización'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='session_id',
            field=models.CharField(blank=True, max_length=61, null=True, unique=True, verbose_name='Identificador único de sesión'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='url_redirection',
            field=models.URLField(blank=True, max_length=256, null=True, verbose_name='URL de redirección para visualizar el voucher'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='verification',
            field=models.PositiveSmallIntegerField(blank=True, choices=[(0, 'No se autenticó'), (1, 'Autenticación exitosa'), (2, 'Autenticación fallida'), (3, 'Tiempo máximo excedido para autenticación'), (4, 'Autenticación abortada por tarjetahabiente'), (5, 'Error interno en la autenticación'), (6, 'No participa'), (7, 'Autenticación fallida extranjera'), (8, 'Intento de autenticación'), (9, 'Autenticación inválida'), (10, 'Error Operativo')], null=True),
        ),
    ]
